天宝寺||陈瑞轩

Menu

更新mac自带的python2.7到python3.4

Mac升级需慎重,会导致IDE的SVN和git以及其他一些插件不能用。。。。降级的方法就是把文中得3.4改成2.7

 

mac 自带的python是2.7版本的,有点儿低,要使用一些应用的时候还需要3.4的,这时可以用以下的方法更新mac自带的python。

第一步,先去python的官网下载最新的python,并安装好。

第二步,现在要删除mac自带的python,如下:

sudo rm -R /System/Library/Frameworks/Python.framework/Versions/2.7

把第一步里安装好的Python目录移到原本系统所持有的目录位置。

sudo mv /Library/Frameworks/Python.framework/Versions/3.4 /System/Library/Frameworks/Python.framework/Versions

第三步,修改文件所属的Group
设置Group为wheel,原来系统自带的就是这样的。

sudo chown -R root:wheel /System/Library/Frameworks/Python.framework/Versions/3.4

第四步,更新一下Current的Link
在Versions的目录里有一个Current的link,是指向当前的Python版本,原始是指向系统自带的Python2.7.2,我们把它删除后,link就失效了,所以需要重新链一下

sudo rm /System/Library/Frameworks/Python.framework/Versions/Current
sudo ln -s /System/Library/Frameworks/Python.framework/Versions/3.4 /System/Library/Frameworks/Python.framework/Versions/Current

第五步,重新链接可执行文件

1) 先把系统原来的执行文件删掉

sudo rm /usr/bin/pydoc
sudo rm /usr/bin/python
sudo rm /usr/bin/pythonw
sudo rm /usr/bin/python-config

2) 建立新的链接

sudo ln -s /System/Library/Frameworks/Python.framework/Versions/3.4/bin/pydoc3.4 /usr/bin/pydoc
sudo ln -s /System/Library/Frameworks/Python.framework/Versions/3.4/bin/python3.4 /usr/bin/python
sudo ln -s /System/Library/Frameworks/Python.framework/Versions/3.4/bin/pythonw3.4 /usr/bin/pythonw
sudo ln -s /System/Library/Frameworks/Python.framework/Versions/3.4/bin/python3.4m-config /usr/bin/python-config

最后,更新一下.bash_profile文件

cd ~
vim .bash_profile (只要能编辑就行)
插入新的Python路径

# Setting PATH for Python 3.4

# The orginal version is saved in .bash_profile.pysave
PATH="/System/Library/Frameworks/Python.framework/Versions/3.4/bin:${PATH}"
export PATH

打开命令行,输入python
提示:
Python 3.4.3 (v3.4.3:9b73f1c3e601, Feb 23 2015, 02:52:03)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.

— 于 共写了1714个字
— 文内使用到的标签:

发表评论

电子邮件地址不会被公开。 必填项已用*标注